Bug 1312548 - [abrt] kf5-kactivities: QXcbConnection::processXcbEvents(): kactivitymanagerd killed by SIGSEGV
[abrt] kf5-kactivities: QXcbConnection::processXcbEvents(): kactivitymanagerd...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kactivities (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3e75ae23d8c4fb28ef8d86797fe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 04:00 EST by Mustafa Muhammad
Modified: 2017-12-12 06:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.96 KB, text/plain)
2016-02-27 04:00 EST, Mustafa Muhammad
no flags Details
File: cgroup (336 bytes, text/plain)
2016-02-27 04:00 EST, Mustafa Muhammad
no flags Details
File: core_backtrace (6.93 KB, text/plain)
2016-02-27 04:00 EST, Mustafa Muhammad
no flags Details
File: dso_list (11.29 KB, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: environ (1.53 KB, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: maps (63.22 KB, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: mountinfo (3.29 KB, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: open_fds (1.47 KB, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-27 04:01 EST, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2016-02-27 04:00:48 EST
Version-Release number of selected component:
kf5-kactivities-5.19.0-1.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd start-daemon
crash_function: QXcbConnection::processXcbEvents
executable:     /usr/bin/kactivitymanagerd
global_pid:     2625
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #11 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1665
 #12 QObject::event at kernel/qobject.cpp:1256
 #13 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3714
 #14 QApplication::notify at kernel/qapplication.cpp:3495
 #15 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1015
 #16 QCoreApplication::sendEvent at kernel/qcoreapplication.h:227
 #17 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1650
 #18 QCoreApplication::sendPostedEvents at kernel/qcoreapplication.cpp:1508
 #19 postEventSourceDispatch at kernel/qeventdispatcher_glib.cpp:270
 #23 g_main_context_iteration at gmain.c:3901

Potential duplicate: bug 1284108
Comment 1 Mustafa Muhammad 2016-02-27 04:00:54 EST
Created attachment 1131013 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2016-02-27 04:00:56 EST
Created attachment 1131014 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2016-02-27 04:00:58 EST
Created attachment 1131015 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2016-02-27 04:01:00 EST
Created attachment 1131016 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2016-02-27 04:01:01 EST
Created attachment 1131017 [details]
File: environ
Comment 6 Mustafa Muhammad 2016-02-27 04:01:03 EST
Created attachment 1131018 [details]
File: exploitable
Comment 7 Mustafa Muhammad 2016-02-27 04:01:05 EST
Created attachment 1131019 [details]
File: limits
Comment 8 Mustafa Muhammad 2016-02-27 04:01:07 EST
Created attachment 1131020 [details]
File: maps
Comment 9 Mustafa Muhammad 2016-02-27 04:01:08 EST
Created attachment 1131021 [details]
File: mountinfo
Comment 10 Mustafa Muhammad 2016-02-27 04:01:10 EST
Created attachment 1131022 [details]
File: namespaces
Comment 11 Mustafa Muhammad 2016-02-27 04:01:12 EST
Created attachment 1131023 [details]
File: open_fds
Comment 12 Mustafa Muhammad 2016-02-27 04:01:13 EST
Created attachment 1131024 [details]
File: proc_pid_status
Comment 13 Mustafa Muhammad 2016-02-27 04:01:15 EST
Created attachment 1131025 [details]
File: var_log_messages
Comment 14 Giulio 'juliuxpigface' 2016-06-24 16:15:07 EDT
This is still present with the version "kactivitymanagerd-5.6.5-1.fc25" on Fedora 25 (currently not yet branched from Rawhide).

Starting a KDE Plasma seems enough to trigger the crash.
Comment 15 Jan Kurik 2016-07-26 00:42:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 16 Fedora End Of Life 2017-11-16 09:51:34 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-12-12 06:03:12 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.